ruanwenjun commented on code in PR #16613:
URL: 
https://github.com/apache/dolphinscheduler/pull/16613#discussion_r1767820276


##########
dolphinscheduler-dist/src/main/assembly/assembly-plugins.sh:
##########
@@ -0,0 +1,75 @@
+#!/bin/bash
+#
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements.  See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License.  You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+set -xeo pipefail
+
+DIST_DIR="$(pwd)/target"
+BIN_TAR_FILE="$DIST_DIR/apache-dolphinscheduler-*-bin.tar.gz"
+if [ ! -f $BIN_TAR_FILE ]; then
+  echo "$BIN_TAR_FILE not found!!!"
+  exit 1
+fi
+
+cd $DIST_DIR && tar -zxf apache-dolphinscheduler-*-bin.tar.gz
+cd $DIST_DIR/apache-dolphinscheduler-*-bin
+BIN_DIR=$(pwd)
+
+# move *-plugins/target/*-plugin/target/*.jar to *-plugins/
+PLUGINS_PATH=(
+alert-plugins
+datasource-plugins
+storage-plugins
+task-plugins
+)
+
+for plugin_path in ${PLUGINS_PATH[@]}
+do
+  cd $BIN_DIR/plugins/$plugin_path
+  find ./* -name "*.jar" | xargs -I {} mv {} ./
+  ls -d */ | xargs -I {} rm -rf {}
+done

Review Comment:
   We should use maven assembly plugin to manage the plugin directory



##########
dolphinscheduler-alert/dolphinscheduler-alert-plugins/dolphinscheduler-alert-prometheus/src/main/java/org/apache/dolphinscheduler/plugin/alert/prometheus/PrometheusAlertSender.java:
##########
@@ -68,7 +67,7 @@ public AlertResult sendMessage(AlertData alertData) {
             log.error("Send prometheus alert manager alert error", e);
             alertResult = new AlertResult();
             alertResult.setSuccess(false);
-            alertResult.setMessage(ExceptionUtils.getMessage(e));

Review Comment:
   Please revert this change, we need to use `ExceptionUtils` to get the 
exception stack.



##########
dolphinscheduler-alert/dolphinscheduler-alert-server/src/main/bin/start.sh:
##########
@@ -18,11 +18,12 @@
 set -eo pipefail
 
 BIN_DIR=$(dirname $(readlink -f "$0"))
-DOLPHINSCHEDULER_HOME=$(cd ${BIN_DIR}/..;pwd)
+DOLPHINSCHEDULER_HOME=$(cd ${BIN_DIR}/../..;pwd)

Review Comment:
   Why change this value?



##########
pom.xml:
##########
@@ -477,64 +507,6 @@
                     <groupId>org.codehaus.mojo</groupId>
                     <artifactId>exec-maven-plugin</artifactId>
                     <version>${exec-maven-plugin.version}</version>
-                    <executions>

Review Comment:
   Why remove this?



-- 
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.

To unsubscribe, e-mail: [email protected]

For queries about this service, please contact Infrastructure at:
[email protected]

Reply via email to